/*
    Fichier bmp.h
    Auteur Bernard Chardonneau

    Structure de l'entte d'un fichier bmp
*/


typedef struct
{
    int16 offset_16bits;  // pour viter un offset entre bm et taillefic
    char  bm [2];         // lettres 'B' et 'M'
    int32 taillefic;      // gal  szimage + deplacement
    int32 zero;           // 0
    int32 deplacement;    // gal  54 + (4 x couleurs)
    int32 taillebi;       // 40
    int32 pixels_l;       // pixels en largeur
    int32 pixels_h;       // pixels en hauteur
    int16 un;             // 1
    int16 bits_coul;      // 4 (on utilise une palette de 3  16 couleurs)
    int32 compress;       // 0 (pas de compression)
    int32 szimage;        // 4 x ((pixels_l + 7) / 8) x pixels_h
    int32 pixelx_m;       // 5000 soit 5 pixels/mm
    int32 pixely_m;       // 5000 soit 5 pixels/mm
    int32 couleurs;       // nombre de couleurs de la palette
    int32 coulimport;     // 0
} entetebmp;
