/*
    Fichier image.h
    Auteur Bernard Chardonneau

    Logiciel libre, droits d'utilisation prciss en franais
    dans le fichier : licence-fr.txt

    Traductions des droits d'utilisation dans les fichiers :
    licence-en.txt , licence-es.txt , licence-pt.txt ,
    licence-eo.txt , licence-eo-utf.txt

    Droits d'utilisation galement sur la page web :
    http://cyloop.tuxfamily.org/voir.php?page=droits


    Programme qui gnre un graphique  partir des donnes
    du fichier cyloop.
*/


// couleurs rserves dans la palette BMP
#define  coulbase_graph  0
#define  coulbase_image  1
#define  coulbase_quadri 2
#define  coulbase_texte  3


// dimensions des fontes de caractres utilises
#define  largeur_fonte   8
#define  hauteur_fonte  12



// variables globales (pour viter des tas de passages de paramtre)
#ifdef appli
    octet  palette [16][4];       // palette de l'image bmp
    int    larg_totale = 0;       // largeur totale de l'image gnre
    int    haut_totale = 0;       // hauteur totale de l'image gnre
    int    nb_coul     = 0;       // nombre de couleurs de l'image bmp
    octet  *image;                // image gnre, 1 octet par pixel
#else
    extern octet palette [16][4]; // palette de l'image bmp
    extern int   larg_totale;     // largeur totale de l'image gnre
    extern int   haut_totale;     // hauteur totale de l'image gnre
    extern int   nb_coul;         // nombre de couleurs de l'image bmp
    extern octet *image;          // image gnre, 1 octet par pixel
#endif
